<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/SceneEditorMenu/UIPopupScript/UIPopupScriptNotify.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d04/_u_i_popup_script_notify_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UIPopupScriptNotify.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d04/_u_i_popup_script_notify_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>UIPopupScriptNotify <span class="keyword">extends</span> <a class="code hl_class" href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">private</span> ButtonWidget    <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#ac15c43c18cbb9f2a56f307928267f8be">m_BtnOk</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a76a9fd472127db289dc4d6f16c42773e">    4</a></span>    <span class="keyword">private</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>      <a class="code hl_variable" href="../../d3/da3/class_u_i_popup_script.html#a76a9fd472127db289dc4d6f16c42773e">m_TxtLabel</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    <span class="comment">// UIPopupScriptNotify</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//================================================  </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a8d57cf86f6ed82b178f6b06a1500827b">    9</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8d57cf86f6ed82b178f6b06a1500827b">UIPopupScriptNotify</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> wgt)</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        m_BtnOk     = ButtonWidget.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;btn_ppp_notify_ok&quot;</span>) );</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        m_TxtLabel  = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( wgt.FindAnyWidget(<span class="stringliteral">&quot;txt_ppp_notify_label&quot;</span>) );</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">// OnClick</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">//================================================  </span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">OnClick</a>(<a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button)</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        super.OnClick(w, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, button);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordflow">if</span> ( w == m_BtnOk )</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        {</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">PopupBack</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">//================================================</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="comment">// OnClick</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">//================================================  </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d3/da3/class_u_i_popup_script.html#ac80e06c82c0fbb99e180989b95c85f87">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/da3/class_u_i_popup_script.html#ac80e06c82c0fbb99e180989b95c85f87">SetLabelText</a>(<span class="keywordtype">string</span> text)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        m_TxtLabel.SetText(text);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="aclass_u_i_popup_script_html"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html">UIPopupScript</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00001">UIPopupScript.c:2</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a121d28d79948f6a394f86836c9fbc25f"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a121d28d79948f6a394f86836c9fbc25f">UIPopupScript::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d04/_u_i_popup_script_notify_8c_source.html#l00018">UIPopupScriptNotify.c:18</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a76a9fd472127db289dc4d6f16c42773e"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a76a9fd472127db289dc4d6f16c42773e">UIPopupScript::m_TxtLabel</a></div><div class="ttdeci">private TextWidget m_TxtLabel</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d04/_u_i_popup_script_notify_8c_source.html#l00004">UIPopupScriptNotify.c:4</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a8d57cf86f6ed82b178f6b06a1500827b"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a8d57cf86f6ed82b178f6b06a1500827b">UIPopupScript::UIPopupScriptNotify</a></div><div class="ttdeci">void UIPopupScriptNotify(Widget wgt)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d04/_u_i_popup_script_notify_8c_source.html#l00009">UIPopupScriptNotify.c:9</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_a8f4d5e5802aaffce6e156a6e2973fd7c"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#a8f4d5e5802aaffce6e156a6e2973fd7c">UIPopupScript::PopupBack</a></div><div class="ttdeci">protected UIPopupScript PopupBack()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d56/_u_i_popup_script_8c_source.html#l00037">UIPopupScript.c:37</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ac15c43c18cbb9f2a56f307928267f8be"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ac15c43c18cbb9f2a56f307928267f8be">UIPopupScript::m_BtnOk</a></div><div class="ttdeci">private ButtonWidget m_BtnOk</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d33/_u_i_popup_script_configs_8c_source.html#l00003">UIPopupScriptConfigs.c:3</a></div></div>
<div class="ttc" id="aclass_u_i_popup_script_html_ac80e06c82c0fbb99e180989b95c85f87"><div class="ttname"><a href="../../d3/da3/class_u_i_popup_script.html#ac80e06c82c0fbb99e180989b95c85f87">UIPopupScript::SetLabelText</a></div><div class="ttdeci">void SetLabelText(string text)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d04/_u_i_popup_script_notify_8c_source.html#l00035">UIPopupScriptNotify.c:35</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_d9cd76049b7d723996f4c0af45972b06.html">SceneEditorMenu</a></li><li class="navelem"><a class="el" href="../../dir_e07a6aec7fbf0178b4da362c4d98abad.html">UIPopupScript</a></li><li class="navelem"><a class="el" href="../../d7/d04/_u_i_popup_script_notify_8c.html">UIPopupScriptNotify.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
